uses
    sysutils;
var
    t: longint;

procedure test(var t: longint; x, y, tx, ty: longint);
begin
    assign(output, intToStr(t div 10) + intToStr(t mod 10)); rewrite(output);
    writeln(x, ' ', y);
    writeln(tx, ' ', ty);
    close(output);
    inc(t);
end;

function big(): longint;
begin
    big := 10000 - random(10);
end;

function small(): longint;
begin
    small := random(10);
end;

begin
    t := strToInt(paramstr(1));
    randseed := strToInt(paramstr(2));

    test(t,  big,  big, small, small);
    test(t,  small,  small, -big, -big);
    test(t,  small,  big,  small, -big);
    test(t,  big,  big, -big,  big);
    test(t,  big, -big,  big,  big);
    test(t,  small, -small, -big, -big);
    test(t,  big, -big, -big,  big);
    test(t, -big, -big,  small,  small);
    test(t, -big, -big,  big, -big);
    test(t, -big, -big, -big,  big);
    test(t, -big,  big,  big,  big);
    test(t, -big,  big,  big, -big);
    test(t, -big,  big, -big, -big);
end.